ttrm(user cmd)

NAME
ttrm — remove files or directories and inform the ToolTalk service

SYNOPSIS

ttrm [-frL] [pathname] [...]

ttrm [-h] [-v]

DESCRIPTION

The ttrm utility invokes rm(1) to remove files and directories and informs ToolTalk about its actions so that the ToolTalk objects associated with the deleted files and directories can also be deleted.

The ttrm utility removes the ToolTalk objects before it removes the files and does not check whether the file-removing operation will succeed before performing the object-removing operation.

OPTIONS

The following options are available:

-f  Force. Do not report any errors, and pass the -f option to rm(1).

-h  Write a help message for invoking ttrm and then exit.

-L  Remove the ToolTalk objects of the files or directories, but do not invoke rm(1) to remove the actual files or directories.

-r  Recursively remove the ToolTalk objects of any directories named, along with their files (including any subdirectories and their files), and pass the -r option to rm(1).

-v  Write the version number of ttrm and then exit.

The -i or -R options to rm(1) are not supported.

OPERANDS

The following operand is supported:

pathname
    A pathname of a file to be removed.

STDIN

Not used.

INPUT FILES

The input files specified as operands can be of any file type.

ENVIRONMENT VARIABLES

The following environment variables affect the execution of ttrm:

LANG
    Provide a default value for the internationalization variables that are unset or null. If LANG is unset or null, the corresponding value from the implementation-specific default locale will be used. If any of the internationalization variables contains an invalid setting, the utility behaves as if none of the variables had been defined.

LC_ALL
    If set to a non-empty string value, override the values of all the other internationalization variables.

LC_MESSAGES
    Determine the locale that is used to affect the format and contents of diagnostic messages written to standard error and informative messages written to standard output.

NLSPATH
    Determine the location of message catalogues for the processing of LC_MESSAGES.

RESOURCES

None.

ASYNCHRONOUS EVENTS

The ttrm utility takes the standard action for all signals.

STDOUT

When the -h option is used, ttrm writes to standard output a help message in an unspecified format.

When the -v option is used, ttrm writes to standard output a version number in an unspecified format.

STDERR

Used only for diagnostic messages.

OUTPUT FILES

None.

EXTENDED DESCRIPTION

None.

EXIT STATUS

The following exit values are returned:

0   All files and ToolTalk objects were removed successfully.

>0  An error occurred or the invoked rm(1) command exited with a non-zero value.

CONSEQUENCES OF ERRORS

Default.

FILES

/mountpoint/TT_DB
    The directory used as a database for the ToolTalk objects of files in the file system mounted at /mountpoint.

APPLICATION USAGE

None.

EXAMPLES

None.

SEE ALSO

rm(1), ttrmdir(1), ttsession(1).